imagepacket Class Reference

The imagepacket class is used to determine if an http packet is an image request. More...

`#include <imagepacket.h>`

## Public Member Functions

| imagepacket ()
| Construct a list of known image extensions.
bool | isImage (string payload)
| Returns true if the http request payload received contains or is a request to an image, and stores the image url. More...
QString | getImage ()
| Returns an image url if found in an http request. More...

## Private Attributes

QString | imageurl
QStringList | extensions

## Detailed Description

The imagepacket class is used to determine if an http packet is an image request.

## Member Function Documentation

QString imagepacket::getImage | ( |  | ) |

Returns an image url if found in an http request.

Returns
  image url if found in an http request Devuelve un url a una imagen si fue encontrada en una solicitud de http
  url de una imagen si encontrada en una solicitud de http

bool imagepacket::isImage | ( | string | payload | ) |

Returns true if the http request payload received contains or is a request to an image, and stores the image url.

Parameters

  payload | HTTP packet payload

Returns
  true if the http request payload received contains or is a request for an image

## Member Data Documentation

QStringList imagepacket::extensions

private

list of image extensions / lista de extensiones de imagenes

QString imagepacket::imageurl

private

store the image url / guarda el url de la imagen

The documentation for this class was generated from the following files:

- imagepacket.h
- imagepacket.cpp